
Foreman - Refactor #26590

Rename all template snippets to have the same filename as in community-templates

04/11/2019 11:18 AM - Matthias Dellweg

Status: Closed   

Priority: Normal   

Assignee: Matthias Dellweg   

Category: Templates   

Target version:    

Difficulty: trivial Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6673

  

Description

This should make it easier to compare both sources for changes.

Associated revisions

Revision b4984838 - 04/23/2019 09:39 AM - Matthias Dellweg

Fixes #26590 - Rename template snippets

Rename provisioning template snippets to not start with '_' as rails

template partials. This will match better, what we see in

community-templates, and will allow to do a directory comparison via diff.

Script used:

for i in $(ls *.erb); do mv $i ${i#_}; done

History

#1 - 04/11/2019 11:36 AM - Marek Hulán

- Project changed from Katello to Foreman

- Category set to Templates

#2 - 04/11/2019 12:02 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6673 added

#3 - 04/23/2019 09:45 AM - Tomer Brisker

- Fixed in Releases 1.23.0 added

#4 - 04/23/2019 10:02 AM - Matthias Dellweg

- Status changed from Ready For Testing to Closed

Applied in changeset b49848385eab6b500b41b0b1db5491ccdd046caf.
